Loading...
Searching...
No Matches
ami_stream.cpp File Reference
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <assert.h>`
`#include <fcntl.h>`
`#include <errno.h>`
`#include <unistd.h>`
`#include <grass/gis.h>`
`#include <grass/iostream/ami_stream.h>`
Include dependency graph for ami_stream.cpp:

Go to the source code of this file.

## Functions

int | ami_single_temp_name (const std::string &base, char *tmp_path)
FILE * | open_stream (int fd, AMI_stream_type st)
FILE * | open_stream (char *pathname, AMI_stream_type st)

## Variables

const char * | ami_str_error []

## Function Documentation

## ami_single_temp_name()

int ami_single_temp_name | ( | const std::string & | base,
|  | char * | tmp_path )

Definition at line 71 of file ami_stream.cpp.

References assert, and G_mkstemp().

## open_stream() [1/2]

FILE * open_stream | ( | char * | pathname,
|  | AMI_stream_type | st )

Definition at line 136 of file ami_stream.cpp.

References assert, and NULL.

## open_stream() [2/2]

FILE * open_stream | ( | int | fd,
|  | AMI_stream_type | st )

Definition at line 100 of file ami_stream.cpp.

References assert, and NULL.

## Variable Documentation

## ami_str_error

const char* ami_str_error[]

Initial value:
= {
"AMI_ERROR_NO_ERROR",
"AMI_ERROR_IO_ERROR",
"AMI_ERROR_END_OF_STREAM",
"AMI_ERROR_OUT_OF_RANGE",
"AMI_ERROR_READ_ONLY",
"AMI_ERROR_OS_ERROR",
"AMI_ERROR_MM_ERROR",
"AMI_ERROR_OBJECT_INITIALIZATION",
"AMI_ERROR_PERMISSION_DENIED",
"AMI_ERROR_INSUFFICIENT_MAIN_MEMORY",
"AMI_ERROR_INSUFFICIENT_AVAILABLE_STREAMS",
"AMI_ERROR_ENV_UNDEFINED",
"AMI_ERROR_NO_MAIN_MEMORY_OPERATION",
}

Definition at line 52 of file ami_stream.cpp.